org.apache.xmlgraphics.ps.dsc.events

## Class DSCCommentBeginResource

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
    - - org.apache.xmlgraphics.ps.dsc.events.AbstractResourceDSCComment
      - - org.apache.xmlgraphics.ps.dsc.events.DSCCommentBeginResource

- All Implemented Interfaces:
    DSCParserConstants, DSCComment, DSCEvent

      public class DSCCommentBeginResource
      extends AbstractResourceDSCComment

  Represents a %BeginResource DSC comment.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSCCommentBeginResource()` Creates a new instance
    `DSCCommentBeginResource(PSResource resource)` Creates a new instance for a given PSResource instance
    `DSCCommentBeginResource(PSResource resource, int min, int max)` Creates a new instance for a given PSResource instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
    `java.lang.Integer` | `getMax()` Returns the maximum VM used by the resource.
    `java.lang.Integer` | `getMin()` Returns the minimum VM used by the resource.
    `java.lang.String` | `getName()` Returns the name of the DSC comment.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractResourceDSCComment

      `getResource, hasValues, parseValue`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment

      `asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asLine, isComment, isHeaderComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent

      `asLine, isComment, isHeaderComment, isLine`

- - ### Constructor Detail

    - #### DSCCommentBeginResource

          public DSCCommentBeginResource()

      Creates a new instance

    - #### DSCCommentBeginResource

          public DSCCommentBeginResource(PSResource resource)

      Creates a new instance for a given PSResource instance
      Parameters:
        `resource` - the resource

    - #### DSCCommentBeginResource

          public DSCCommentBeginResource(PSResource resource,
                                         int min,
                                         int max)

      Creates a new instance for a given PSResource instance
      Parameters:
        `resource` - the resource
        `min` - Minimum VM used by the resource
        `max` - Maximum VM used by the resource

  - ### Method Detail

    - #### getMin

          public java.lang.Integer getMin()

      Returns the minimum VM used by the resource.
      Returns:
        the minimum VM used by the resource

    - #### getMax

          public java.lang.Integer getMax()

      Returns the maximum VM used by the resource.
      Returns:
        the maximum VM used by the resource

    - #### getName

          public java.lang.String getName()

      Returns the name of the DSC comment.
      Returns:
        the name of the DSC comment (without the "%%" prefix)

    - #### generate

          public void generate(PSGenerator gen)
                        throws java.io.IOException

      Writes the event to the given PSGenerator.
      Specified by:
        `generate` in interface `DSCComment`
      Specified by:
        `generate` in interface `DSCEvent`
      Overrides:
        `generate` in class `AbstractResourceDSCComment`
      Parameters:
        `gen` - the PSGenerator to write to
      Throws:
        `java.io.IOException` - In case of an I/O error
      See Also:
        `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.